﻿@model IEnumerable<TestAstro.Models.tbl_user>

@{
    ViewBag.Title = "Index";
}

<!-- ##### Mag Posts Area Start ##### -->
<section class="mag-posts-area d-flex flex-wrap">

    <!-- >>>>>>>>>>>>>>>>>>>>
         Main Posts Area
    <<<<<<<<<<<<<<<<<<<<< -->
    <div class="mag-posts-content mt-30 mb-30 p-30 box-shadow">
        <!-- Trending Now Posts Area -->
        <div class="trending-now-posts mb-30">
            <!-- Section Title -->
            <div class="section-heading">
                <h5>USER LIST</h5>
            </div>
        </div>

        <p>
            @Html.ActionLink("Create New", "Create")
        </p>
        <table class="table">
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.username)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.password)
                </th>
                <th></th>
            </tr>

            @foreach (var item in Model)
            {
                if (User.Identity.Name != item.username)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.username)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.password)
                        </td>
                        <td>
                            @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
                            @Html.ActionLink("Details", "Details", new { id = item.id }) |
                            @Html.ActionLink("Delete", "Delete", new { id = item.id })
                        </td>
                    </tr>
                }

            }

        </table>

    </div>

</section>
<!-- ##### Mag Posts Area End ##### -->

@*<p>
        @Html.ActionLink("Create New", "Create")
    </p>
    <table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.username)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.password)
            </th>
            <th></th>
        </tr>

    @foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.username)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.password)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id=item.id }) |
                @Html.ActionLink("Details", "Details", new { id=item.id }) |
                @Html.ActionLink("Delete", "Delete", new { id=item.id })
            </td>
        </tr>
    }

    </table>
*@